package com.inspect.patrol.service;

import com.inspect.patrol.domain.PatrolLinkageStrategy;

import java.util.List;

public interface IPatrolLinkageStrategyService {
    PatrolLinkageStrategy selectPatrolLinkageStrategyByLinkageStrategyId(Long id);

    List<PatrolLinkageStrategy> selectPatrolLinkageStrategyList(PatrolLinkageStrategy strategy);

    int insertPatrolLinkageStrategy(PatrolLinkageStrategy strategy);

    int updatePatrolLinkageStrategy(PatrolLinkageStrategy strategy);

    int deletePatrolLinkageStrategyByLinkageStrategyIds(Long[] ids);

    int deletePatrolLinkageStrategyByLinkageStrategyId(Long id);
}
